Bug 140885 - eggcups not cancelling printjobs to remote cups machines
eggcups not cancelling printjobs to remote cups machines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 00:13 EST by Jef Spaleta
Modified: 2008-02-27 06:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 06:50:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
zipped strace -fF -s300 eggcups --sm-disable 1>/tmp/eggcups.strace 2>&1 for desktop-printing-0.17-5 during eggcups session where Cancel was attempted (110.39 KB, application/x-gzip)
2004-11-26 00:26 EST, Jef Spaleta
no flags Details

  None (edit)
Description Jef Spaleta 2004-11-26 00:13:03 EST
Description of problem:
trying to use the cancel button in eggcups and the job still goes
through.  Fc3 client desktop and Fc3 cups server.

Version-Release number of selected component (if applicable):
desktop-printing-0.17-5

How reproducible:
always

Steps to Reproduce:
1. open up gedit, type in some text
2. send several print jobs to remote printer
3. watch as egg-cups icon appears
4. click on egg-cups icon to get the printjob status dialog.
5. notice all 3 jobs are listed as printing,even before the first page
is finished on the printer.
6. right click on newest job select cancel
7. watch as all 3 jobs get printed on remote printer all all statuses
shown as completed.

  
Actual results:
Cancel in egg-cups seems to not work with remote print jobs

Expected results:
Cancel should work

Additional info:
I haven't tested pause yet... thats next on the list.

I'll attach log of strace -fF -s300 eggcups --sm-disable  
anything else you need?

-jef
Comment 1 Jef Spaleta 2004-11-26 00:26:11 EST
Created attachment 107472 [details]
zipped strace -fF -s300 eggcups --sm-disable 1>/tmp/eggcups.strace 2>&1 for desktop-printing-0.17-5 during eggcups session where Cancel was attempted 

Sorry, the strace is too big for bugzilla to let me upload it as plain text.
So i added it as zipped, but I can place it somewhere on the net if you need me
to.
Comment 2 Sitsofe Wheeler 2004-12-03 17:48:00 EST
Might be related to bug #132289
Comment 3 Sitsofe Wheeler 2006-06-06 14:58:32 EDT
I'm fairly sure this is still here in FC5...
Comment 4 Matthew Miller 2006-07-10 19:09:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.